# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderQueueSorter Class Reference

The RenderQueueSorter class is the abstract base class of all the algorithms used to sort a set of RenderToken. More...

`#include <RenderQueueSorter.hpp>`

Inheritance diagram for vl::RenderQueueSorter:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| RenderQueueSorter ()
virtual bool | operator() (const RenderToken *a, const RenderToken *b) const =0
virtual bool | confirmZCameraDistanceNeed (const RenderToken *) const =0
virtual bool | mightNeedZCameraDistance () const =0

## Detailed Description

The RenderQueueSorter class is the abstract base class of all the algorithms used to sort a set of RenderToken.

## Constructor & Destructor Documentation

vl::RenderQueueSorter::RenderQueueSorter | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::RenderQueueSorter::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

virtual bool vl::RenderQueueSorter::operator() | ( | const RenderToken * | a,
|  | const RenderToken * | b |
| ) |  |  | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

virtual bool vl::RenderQueueSorter::confirmZCameraDistanceNeed | ( | const RenderToken * |  | ) | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterBasic, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

virtual bool vl::RenderQueueSorter::mightNeedZCameraDistance | ( |  | ) | const`[pure virtual]`

Implemented in vl::RenderQueueSorterByShader, vl::RenderQueueSorterByRenderable, vl::RenderQueueSorterStandard, vl::RenderQueueSorterOcclusion, and vl::RenderQueueSorterAggressive.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderQueueSorter.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:02 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.